Subject: Re: net: macb: fail when there's no PHY

From: Andrew Lunn <[email-masked]>
Date: Thu, 3 Dec 2020 22:49:41 +0100

> I don't think there's any way I could justify using a kernel that
> doesn't have long-term support.

5.10 is LTS. Well, it will be, once it is actually released!

     Andrew

> [It looks like we're going to have to abandon the effort to use
> 5.4. The performance is so bad compared to 2.6.33.7 that our product
> just plain won't work. We've already had remove features to the get
> 5.4 kernel down to a usable size, but we were prepared to live with
> that.]

Ah. Small caches? The OpenWRT guys make valid complaints that the code
hot path of the network stack is getting too big to fit in the cache
of small systems. So there is a lot of cache misses and performance is
not good. If i remember correctly, just having netfilter in the build
is bad, even if it is not used.

   Andrew